Package twisted :: Package internet :: Module tcp :: Class _TLSMixin |
[show private | hide private]
[frames | no frames]

## Class _TLSMixin

Method Summary
| `doRead(self)`
| `doWrite(self)`
| `writeSomeData(self, data)`
| `_closeSocket(self)`
| ``_postLoseConnection`(self)` Gets called after loseConnection(), after buffered data is sent.

Class Variable Summary
`int` | `readBlockedOnWrite`
`int` | `sslShutdown`
`int` | `writeBlockedOnRead`

Method Details

### _postLoseConnection(self) Gets called after loseConnection(), after buffered data is sent. We close the SSL transport layer, and if the other side hasn't closed it yet we start reading, waiting for a ZeroReturnError which will indicate the SSL shutdown has completed.

Class Variable Details

    ### readBlockedOnWrite Type: `int` Value:
        0

    ### sslShutdown Type: `int` Value:
        0

    ### writeBlockedOnRead Type: `int` Value:
        0

Generated by Epydoc 1.1 on Thu May 8 13:19:29 2003 | http://epydoc.sf.net